Moodle
  1. Moodle
  2. MDL-27265

Upgrade 1.9.x to 2.0.x Table "upgrade_log" already exists

    Details

    • Type: Bug Bug
    • Status: Closed
    • Priority: Critical Critical
    • Resolution: Cannot Reproduce
    • Affects Version/s: 2.0.2
    • Fix Version/s: None
    • Component/s: Unknown
    • Labels:
    • Environment:
      Mac OS X 10.6.x, Bitnami Moodle Stack
    • Database:
      MySQL
    • Affected Branches:
      MOODLE_20_STABLE
    • Rank:
      16952

      Description

      After reading in the database dump in the new install and starting the upgrade from 1.9.x to 2.0.2 the error

      Table "upgrade_log" already exists

      is shown with the following stack trace:

      line 469 of /lib/ddl/database_manager.php: ddl_exception thrown
      line 93 of /lib/db/upgrade.php: call to database_manager->create_table()
      line 1383 of /lib/upgradelib.php: call to xmldb_main_upgrade()
      line 252 of /admin/index.php: call to upgrade_core()

      Based on what I found using Google, there seems to be no fix for the error and - since it is not possible to export courses from 1.9.x and import them into 2.0.x - either every course, etc. has to be created from scratch or the upgrade has to wait.

      1. instructionsfor2.1.txt
        1 kB
        Mignonne Davis
      2. instructionsfor2.1.txt
        1 kB
        Mignonne Davis

        Issue Links

          Activity

            People

            • Votes:
              3 Vote for this issue
              Watchers:
              5 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: